Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetBoolean

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetBoolean

    public class JetBoolean

extends JetProperty

Boolean property, for saving/retriving a boolen value.

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Constructor Summary
`JetBoolean()`
`JetBoolean(JetObject parent, java.lang.String name)` Constructor.
`JetBoolean(JetObject parent, java.lang.String name, boolean thedef)` Constructor.

Method Summary
`boolean` | `booleanValue()` Returns the value of this object as a boolean.
`boolean` | `get()` Returns the value of this object as a boolean.
`int` | `getInt()` Returns the value of this object as a integer.
`int[]` | `getMatchingSqlType()` Get Matching SQL Type of this property
`java.util.Vector` | `getPropertyChoice()`
`void` | `set(boolean value)` Sets the property value with the specified value; notifies its comprising object.
`void` | `set(java.lang.String theval)` Sets the value to this property through a String.
`void` | `setInt(int i)` Sets the value of this object via a integer.
`java.lang.String` | `toString()` Returns the value of this object as a String.

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getEditFlag, getEditorType, getInspValue, getInspValue, getName, getNormalObject, getObject, getParent, getPropType, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isChangeByOther, isNull, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByFmtt, setChangeByObject, setEditFlag, setEditorType, setObject, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JetBoolean

    public JetBoolean()

### JetBoolean

    public JetBoolean(JetObject parent,
                      java.lang.String name)

  Constructor.

  Parameters:
    `parent` - the owner of the property.
    `name` - the property name

### JetBoolean

    public JetBoolean(JetObject parent,
                      java.lang.String name,
                      boolean thedef)

  Constructor.

  Parameters:
    `parent` - the owner of the property.
    `name` - the property name
    `thedef` - the default value.

Method Detail

### set

    public void set(boolean value)

  Sets the property value with the specified value; notifies its comprising object.

  Parameters:
    `value` - value for boolean.

  See Also:
    `set(boolean)`, `get()`

### set

    public void set(java.lang.String theval)

  Sets the value to this property through a String.

  Overrides:
    `set` in class `JetProperty`
  Parameters:
    `theval` - String value.

### get

    public boolean get()

  Returns the value of this object as a boolean.

### booleanValue

    public boolean booleanValue()

  Returns the value of this object as a boolean.

### toString

    public java.lang.String toString()

  Returns the value of this object as a String.

  Overrides:
    `toString` in class `java.lang.Object`

### getInt

    public int getInt()

  Returns the value of this object as a integer.

### setInt

    public void setInt(int i)

  Sets the value of this object via a integer.

### getPropertyChoice

    public java.util.Vector getPropertyChoice()

  Overrides:
    `getPropertyChoice` in class `JetProperty`

### getMatchingSqlType

    public int[] getMatchingSqlType()

  Description copied from class: `JetProperty`
  Get Matching SQL Type of this property

  Overrides:
    `getMatchingSqlType` in class `JetProperty`
  Returns:
    SQL_OTHER means can not changed by other object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD